Kling 1.0
Integriruj
kling-video/v1/standard/effects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v1/standard/effects?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"effect_scene": "heart_gesture"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v1/standard/effects?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"effect_scene": "heart_gesture"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"effect_scene": "heart_gesture",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v1/standard/effects", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/rom/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "kling-video/v1/standard/effects",
"input": {
"effect_scene": "heart_gesture"
}
}
Kall o Kling 1.0 modelo (kling-video/v1/standard/effects) vas o Doitong API. Dokumentacia vaš agentura: https://doitong.com/rom/developers/models/kling-video/v1/standard/effects.md
POST https://vit.doitong.com/api/v1/run/kling-video/v1/standard/effects?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"effect_scene": "heart_gesture"
}
Te o response status si "queued" vaj "running", ker polling GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20 dži kaj te avel "succeeded"; e fajlo si andro outputs[].url. POST https://vit.doitong.com/api/v1/quote/kling-video/v1/standard/effects sa jekhe body-esa del o precizno molipen angl-o phiripen.
Kava mangipen: $0.225 225 API krediti Phir les kate
Tiro nevo API klidin. Dikhavel pes akana numa thaj si angleder ando kodo thaj ando API klidin kotor tele. Garav les: na thovel les ande kodo savo keren andre jekh browser.
Tiro prvo rezultato si kate
Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.
Ker jekh mangipen
O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.
/run/kling-video/v1/standard/effects?wait=20
hesab → $0.225
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v1/standard/effects?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"effect_scene": "heart_gesture"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v1/standard/effects?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"effect_scene": "heart_gesture"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"effect_scene": "heart_gesture",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v1/standard/effects", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "kling-video/v1/standard/effects",
"input": {
"effect_scene": "heart_gesture"
},
"wait_seconds": 20
}
}
}
Phandel kava mangipen
Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ
Palal Kling 1.0
Kerel jekh tikno video te čhinel jekh anavalo efekto andar `effect_scene` pe tire fotografija. But efekti lel jekh fotografija, numa heart_gesture mangel čačes duj, dine vaš `input_image_urls`. `duration` šaj te avel 5 vaj 10 sekunda, thaj e lista si la but scene-presets sar bullet_time_360, running_man thaj birthday_star.
Parametra
enable_safety_checkeropcionalno
input_image_urlsopcionalno
effect_scenetrubul
+75 aver
drunk_dance_petdaoma_dancebouncy_dancesmooth_sailing_dancenew_year_greetinglion_danceprosperitygreat_successgolden_horse_fortunered_packet_boxlucky_horse_yearlucky_red_packetlucky_money_comelion_dance_petdumpling_making_petfish_making_petpet_red_packetlantern_glowexpression_challengeoverdriveheart_gesture_dancepopingmartial_artsrunningnezhamotorcycle_dancesubject_3_danceghost_step_dancephantom_jewelzoom_outcheers_2026kiss_profight_prohug_proheart_gesture_prodollar_rain_propet_bee_prosanta_random_surprisemagic_match_treehappy_birthdaythumbs_up_prosurprise_bouquetbouquet_dropglamour_photo_shootbox_of_joyfirst_toast_of_the_yearmy_santa_picsanta_giftsteampunk_christmassnowglobechristmas_photo_shootornament_crashsanta_expresscoronation_of_frostspark_in_the_snowscarlet_and_snowbullet_time_litejumping_ginger_joyvenomous_spiderthrone_of_kingluminous_elfwoodland_elfsnowboardingwitch_transformvampire_transformpumpkin_head_transformdemon_transformmummy_transformzombie_transformcute_pumpkin_transformhalloween_escapekorean_baseballgirlfriendboyfriendsplashsplashdurationopcionalno
Fajloske parametra lel jekh publikano https:// URL, jekh data: URI dži 10 MB, vaj e file_url uploadoski. Fajlura
Rezultato
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "kling-video/v1/standard/effects",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 225,
"usd": "0.225",
"charged": 225,
"refunded": 0
},
"input": {
"effect_scene": "heart_gesture"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Outputoske fieldura
- video
- object {url, content_type, file_name, file_size}Video kerdo modelostar.
Aver variantura e Kling Video Effects
Bute modeli: Teksto ko Video
AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/kling-video/v1/standard/effects.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt